﻿.search-container {
  display: flex;
  width: 100%;
  overflow-x: hidden;
  min-height: 410px;
}

.as-sidebar {
  min-width: 300px;
  max-width: 300px;
  padding: 15px;
  transition: all 0.3s;
}

  .as-sidebar.active {
    margin-left: -300px;
  }

.as-content {
  width: 100%;
  min-height: 100vh;
  transition: all 0.3s;
}

.as-filter-toggler {
    position: fixed;
    left: 0;
    bottom: 85px;
    width: 100%;
}


@media (max-width: 992px) {
  .as-sidebar {
    margin-left: -300px;
  }

    .as-sidebar.active {
      margin-left: 0;
    }
}

/**
    Search Items
*/
.ais-Hits,
.ais-Hits-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.ais-Hits-item {
  flex: 1;
  padding: 3px;
  min-width: 160px;
  max-width: 175px;
  background: transparent;
  transition: box-shadow .3s;
  box-shadow: none;
}
    .ais-Hits-item:hover {
      box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;
    }

.hit-image img {
    max-width: 100%;
    height: 150px;
    object-fit: contain;
}

.hit-name {
  font-size: 14px;
  line-height: 16px;
  height: 32px;
  overflow: hidden;
}

.hit-price {
  height: 42px;
}

.hit-price .current-price {
  font-size: 18px;
  line-height: 20px;
}

.hit-price .old-price {
  
}

.hit-reviews {
    font-size: 12px;
}


/**
    Pagination
*/
.ais-Pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin: 30px auto 15px;
}


/** Filtering */

.ais-refinement-list--item {
  height: 20px;
}

.ais-refinement-list--list > form {
    display: none !important;
}

.ais-root {

}

.ais-header {
  font-weight: bold;
}

.ais-body {
  padding-top: 5px;
  padding-left: 5px;
  font-size: 14px;
  line-height: 18px;
}

.ais-show-more {
    cursor: pointer;
}

/*.form-check-label {
    height: 22px;
    overflow: hidden;
}*/

.ais-RangeInput-form {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  width: 100%;
}

.ais-RangeInput-label {
  width: 100%;
  margin-bottom: 10px;
}

.ais-range-input--inputMin,
.ais-range-input--inputMax {
  min-width: 100%;
  max-width: 100%;
}

.ais-RangeInput-input {
  height: 24px;
  font-size: 12px;
  line-height: 14px;
  width: 100%;
}

.ais-RangeInput-submit {
  margin-top: 5px;
  border: 1px solid #69A41F;
  color: #69A41F;
  padding: 0 50px;
  height: 25px;
  margin-left: auto;
  margin-right: auto;
}

span.ais-hierarchical-menu--count,
.ais-refinement-list--count {
  float: right;
  background: #69A41F;
  color: #fff;
  width: 20px;
  text-align: center;
  font-size: 10px;
}

.ais-hierarchical-menu--item {
  margin-bottom: 2px;
}

.ais-hierarchical-menu--list__lvl1, .ais-hierarchical-menu--list__lvl2 {
  margin-top: 2px;
}

.cr-item-wrap {
  background: rgba(105, 164, 31, .2) !important;
  margin: 2px 3px;
  padding: 5px 10px;
  font-size: 12px;
  line-height: 14px;
}
  .cr-item-wrap button {
    border: none;
    background: #69A41F;
    margin-left: 5px;
    font-size: 10px;
    line-height: 12px;
    color: #fff;
  }

li.ais-RefinementList-item {
  margin-bottom: 2px;
  font-size: 14px;
  line-height: 18px;
}

.ais-HierarchicalMenu-showMore, .ais-Menu-showMore, .ais-RefinementList-showMore {
  margin-top: 2px;
  border: none;
  background: transparent;
  box-shadow: none;
  color: #69A41F;
  padding: 0;
}
  .ais-HierarchicalMenu-showMore:hover,
  .ais-Menu-showMore:hover,
  .ais-RefinementList-showMore:hover {
    background: transparent;
    color: #69A41F;
  }

.ais-RatingMenu-starIcon {
  fill: #f5a623;
}


.ais-HierarchicalMenu-link:before {
  transform: rotate(180deg);
}
.ais-HierarchicalMenu-item--selected > div > .ais-HierarchicalMenu-link:before {
  transform: rotate(0deg);
}


/***/
.autocomplete-hits-item {
  color: #343a40;
}
  .autocomplete-hits-item:hover {
    color: #69A41F;
  }

  .autocomplete-hits-item img {
    height: 35px;
    width: 35px;
  }

.autocomplete-hits-item span {
  font-size: 14px;
  line-height: 18px;
}

  .autocomplete-hits-item mark,
  .autocomplete-hits-item .mark {
    padding: 0;
    background-color: rgba(105, 164, 31, .3);
  }

.aa-SourceFooter > div {
  background: rgba(105, 164, 31, .1);
}



.aa-ItemContent mark {
    padding: 0 !important;
}

.aa-List .aa-Item {
  min-height: auto;
  padding: 4px;
  font-size: 14px;
  line-height: 16px;
}

.hit-stock-status {
  position: absolute;
  top: 24px;
  left: 10px;
  color: white;
  padding: 2px 8px 0;
  font-size: 12px;
  font-weight: 500;
  border-radius: 8px;
}

.aa-InputWrapperPrefix {
  height: 32px;
}

  .aa-InputWrapperPrefix .aa-Label {
      margin-bottom: 0 !important;
  }

.aa-Panel {
  border: 0 !important;
  box-shadow: 0px 4px 24px rgba(122, 172, 193, 0.16) !important;
  z-index: 99999 !important;
}



@media all and (max-width: 576px) {
  .ais-Hits-item {
    min-width: 130px !important;
  }
}

.ais-Hits, .ais-Hits-list {
  justify-content: center;
  align-items: center;
}


.btn-atc-with-qty-ctrl {
    display: none !important;
}

  .hit.is-in-cart .btn-atc-with-qty-ctrl {
      display: flex !important;
  }

.hit.is-in-cart .btn-atc-from-anywhere {
    display: none !important;
}

.btn-atc-with-qty-ctrl,
.btn-atc-from-anywhere,
.btn-ts-quickview,
.btn-buy-now,
.add-to-cart-button {
  font-size: 12px;
  line-height: 14px;
  height: 30px;
}

  /*.btn-atc-with-qty-ctrl .qty-minus,
  .btn-atc-with-qty-ctrl .qty-plus {
    background: #69A41F;
    color: #fff;
    padding: 0 5px;
  }*/

  .btn-atc-with-qty-ctrl .qty-minus {
    border-radius: 8px 0 0 8px;
  }

  .btn-atc-with-qty-ctrl .qty-plus {
    border-radius: 0 8px 8px 0;
  }

  .btn-atc-with-qty-ctrl input {
    background: rgba(105, 164, 31, .1);
    font-weight: bold;
  }



.btn-show-filter-details {
  border: 1px solid #3a474e;
  background: white;
  color: #3a474e;
  border-radius: 20px;
  font-size: 14px;
  height: 42px;
}

  .btn-show-filter-details:hover,
  .btn-show-filter-details:focus {
    background: #eee;
    color: #3a474e;
  }

.filter-panel .filter-wrapper {
  z-index: 9999;
}

.filter-panel .filter-wrapper:not(:first-child) {
  margin-left: 5px;
}

.filter-panel .filter-wrapper:not(:last-child) {
  margin-right: 5px;
}

.filter-wrapper li.ais-Menu-item {
    margin-bottom: 5px;
}

.filter-panel .dropdown-menu {
  overflow: hidden;
  width: 260px;
  border-top: 3px solid #69A41F !important;
}

  .filter-panel .dropdown-menu > div {
    height: 300px;
    overflow: hidden scroll;
    width: 102%;
    padding: 15px 10px;
  }

.filter-panel {
  z-index: 99999;
}

  .filter-panel .slick-list {
    overflow: visible;
  }

/**
    Custom Checkbox & Radio
*/
.agro-radio-button,
.agro-checkmark {
  display: block;
  position: relative;
  padding-left: 30px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

  .agro-radio-button input,
  .agro-checkmark input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

.radio-button,
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #eee;
  border: 1px solid #69A41F;
}

.agro-radio-button:hover input ~ .radio-button,
.agro-checkmark:hover input ~ .checkmark {
  background-color: #69A41F;
}

.agro-radio-button input:checked ~ .radio-button,
.agro-checkmark input:checked ~ .checkmark {
  background-color: #69A41F;
}

.radio-button:after,
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.agro-radio-button input:checked ~ .radio-button:after,
.agro-checkmark input:checked ~ .checkmark:after {
  display: block;
}

.agro-checkmark .checkmark:after {
  left: 8px;
  top: 4px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.agro-radio-button .radio-button:after {
  width: 8px;
  height: 8px;
  border-radius: 50%;
}

.refinement-list-wrapper  {
  height: 300px !important;
  overflow: hidden scroll !important;
  width: 102% !important;
}

.as-lgi-checkbox {
    height: 20px;
}

.filter-panel .list-group-item {
  font-size: 14px;
  line-height: 16px;
  border-color: rgba(0, 0, 0, .05);
  color: #3a474e;
}

.btn-toggle-show-more {
  font-size: 12px;
  font-weight: 500;
}

.btn-see-results,
.btn-clear-all {
  font-size: 14px;
}

/*.ais-HierarchicalMenu {
  height: 300px;
  overflow: hidden scroll;
  width: 102%;
}*/

.ais-ClearRefinements-button:disabled[disabled] {
    display: none !important;
}

.btn-clear-all-refinements {
  font-size: 12px;
  height: auto;
  /* border: 0; */
  background: #fff;
  box-shadow: none;
  /* text-decoration: underline; */
  /* border-bottom: 1px solid; */
  padding: 0 10px;
  border-radius: 8px;
}
  .btn-clear-all-refinements:hover,
  .btn-clear-all-refinements:focus {
      background: #fff !important;
  }

.filter-panel {
  display: flex;
  white-space: nowrap;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

  .filter-panel.custom-overflow {
    overflow-x: auto;
    overflow-y: hidden;
  }

  .filter-panel::-webkit-scrollbar {
    display: none;
  }

  .filter-panel > div:not(.i-partner) {
    display: inline-block;
    height: 50px;
  }

.filter-arrow {
  position: absolute;
  top: 21%;
  z-index: 99999;
  height: 30px;
  width: 30px;
  justify-content: center;
  border: 0;
  background: #eee;
}
  .filter-arrow.prev-btn {
    left: 0;
    border-radius: 0 15px 15px 0;
  }

  .filter-arrow.next-btn {
    right: 0;
    border-radius: 15px 0 0 15px;
  }

.filter-wrapper.show .btn-show-filter-details {
  border-color: #69A41F;
  background: #69A41F;
  color: #fff;
}

.btn-show-sort-by {
    width: 150px;
}

.refinement-count:empty {
  display: none;
}

.refinement-count {
  background: #69A41F;
  color: white;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  font-size: 12px;
  line-height: 20px;
  margin-left: 8px;
}

.filter-wrapper.show .refinement-count {
  background: white;
  color: #69A41F;
}

.ais-RatingMenu,
.ais-RangeInput {
  padding-top: 15px;
  justify-content: center;
  align-items: start;
  display: flex;
}

.ais-RangeInput {
  padding-left: 15px;
  padding-right: 15px;
}

.ais-RangeInput-separator {
  display: none !important;
}

/***/

.ais-RefinementList-showMore {
    display: block;
    margin: 10px auto 0;
}

#hits {
  margin-top: 15px;
}

.small-breadcrumb {
  margin-top: 4px;
  display: block;
  font-size: 11px;
  filter: grayscale(.2);
  margin-bottom: 6px;
  line-height: 14px;
}


.btn-atw-from-anywhere .atw-not-in-list  {
    display: block;
}

.btn-atw-from-anywhere .atw-is-in-list {
  display: none;
}

.hit.is-in-wishlist .btn-atw-from-anywhere .atw-not-in-list {
  display: none !important;
}

.hit.is-in-wishlist .btn-atw-from-anywhere .atw-is-in-list {
  display: block !important;
/*  filter: hue-rotate(260deg);*/
}

.pop-attributes .form-check-label {
  font-size: 12px;
}